<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE ( piree1977@gmail.com )

  홈페이지 : www.piree.kr

  작업날짜 : 2020년 07월 26일 일요일 오후 17시 17분 - 날씨 흐리고 비, 27, 27, 28, 19 / 최고 좋음, 8, 2

  저 작 권 : Copyright ⓒ 2014-2023 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 > 관리자 > 피리 기본 관리 > 최고 회원 레벨
=====================================================================

*/

  IF ( !defined('_GNUBOARD_') )                              EXIT;

  IF ( !isset($config['cf_mem_max_level_n']) )
  {

      $sql = "ALTER TABLE `". $g5['config_table'] ."` ADD `cf_mem_max_level_n` TINYINT(4) UNSIGNED NOT NULL DEFAULT '0' AFTER `cf_10`";
      sql_query($sql, false);

  }

  $sql = "SELECT MAX(`mb_level`) FROM `". $g5['member_table'] ."`";
  $mb_level = sql_efv($sql);

  IF ( $mb_level > 0 )
  {

      IF ( $mb_level != $config['cf_mem_max_level_n'] )
      {

          $sql  = "UPDATE `". $g5['config_table'] ."` SET ";
          $sql .= "`cf_mem_max_level_n` = '". $mb_level."'";

          IF ( !sql_query($sql) )
          {

          alert("\"사이트 최고 회원 레벨\"을 수정하지 못했습니다.");
            EXIT;
          }

      }

  }

?>